<template>
	<v-row>
		<!-- <v-col>
			<v-text-field
				type="number"
				label="Min Depth"
				@input="
					(val) => onEditDepth(i)(modifyDepth(depth, 'minValue')(Number(val)))
				"
				:value="depth.minValue"
			/>
		</v-col>
		<v-col>
			<v-text-field
				type="number"
				label="Max Depth"
				@input="
					(val) => onEditDepth(i)(modifyDepth(depth, 'maxValue')(Number(val)))
				"
				:value="depth.maxValue"
			/>
		</v-col>
		<v-col class="flex-grow-0">
			<v-select
				label="Units"
				@input="(val) => onEditDepth(i)(modifyDepth(depth, 'unit')(val))"
				:items="units"
				:value="depth.unit"
				:disabled="true"
			/>
		</v-col>
		<v-col class="flex-grow-0">
			<v-btn icon @click="() => onRemoveDepth(i)">
				<v-icon>mdi-delete</v-icon>
			</v-btn>
		</v-col> -->
	</v-row>
</template>

<script>
import { defineComponent } from '@vue/composition-api';

export default defineComponent({});
</script>

<style></style>
